'Filename   ATU_Contoller_EEPROM_Data_300.bas
'Version    3.00 for use with ATU_Contoller_3.00.bas
'Date       2017-02-04
'Purpose    Set EEPROM data for ATU Contoller
'Author     Georg Latzel, DL6GL
'Copyright  (c) Georg Latzel, free for private use under GNU license
'Edit history
'V1.00      2013-02-22
'           first release
'V3.00      2017-02-04
'           Coupler with log amp AD8307 instead of diodes
'	    2021-04-27
'	    bytLNonInv introduced
'           bytLCSeries introduced

$Nocompile
bytSWLopt = 0                                     '=1: SWL option, =0: TRX option
byt8Coils = 1                                     '=1: 8 coils, =0: 7 coils
bytLNonInv = 1					  '=1: L relays not inverted: relay off=L shortened
'						   =0: L relays inverted: relay on=L shortened
bytTXDelay = 10                                   'TX mute delay (10 msec.)
wrdDelta_C = 313                                  'Lowest Change of C (1/100 pF = 3.13 pF)
'                                                  Max. value: 255*313=79,815 (798.15 pF)
wrdDelta_L = 13                                   'Lowest Change of L (1/100 uH  = 0.13 uH)
'                                                  Max. value: 255*13=3,315 (33.15 uH)
wrdBias_C = 1700                                  'Bias capacity for all C's out (1/100 pF)
wrdBias_L = 20                                    'Bias inductivity for all L's out (1/100 uH)
bytLCSeries = 0					  '=1: LC banks in series for hi/lopass
bytSWRAutoMin = 120                               'Min SWR for Auto tuning (SWR x 100)
bytPWRmax = 4                                     'Max HF power for ATU tuning (W)
bytADCRep = 2                                     'ADC repetitive runs for mean values
wrdCoupFac = 272                                  'Coupling factor (dB x 10)
wrdAmpAtt = 60                                    'Log amp attenuators (dB x 10)
intCaldBmLo = -600                                'Low  log amp calibration point (dBm x 10)
intCaldBmHi = 100                                 'High log amp calibration point (dBm x 10)
intMindBm = -700                                  'Lower detection limit (dBm x 10)
intMaxdBm = 150                                   'Upper detection limit (dBm x 10)
bytPEPhold = 5                                    'PEP peak sample & hold time (sec X 10)
bytUseTRXFreq = 0                                 '=0: Use counter measured freq. in TX mode
'                                                 '=1: Use TRX-COM freq in RX & TX mode
 
'11 Amateur frequency bands
'- wrdBand_Lo                                     'lower band limit (kHz)
'- wrdBand_Hi                                     'upper band limit (kHz)
'- bytBand_Width                                  'band segment width (kHz)
'- bytBand_Meter                                  'band wavelength (m)
wrdBand_Lo(1) = 1800                              '160m
wrdBand_Hi(1) = 2000
bytBand_Width(1) = 10
bytBand_Meter(1) = 160
wrdBand_Lo(2) = 3500                              '80m
wrdBand_Hi(2) = 3800
bytBand_Width(2) = 10
bytBand_Meter(2) = 80
wrdBand_Lo(3) = 5260                              '60m
wrdBand_Hi(3) = 5410
bytBand_Width(3) = 20
bytBand_Meter(3) = 60
wrdBand_Lo(4) = 7000                              '40m
wrdBand_Hi(4) = 7200
bytBand_Width(4) = 20
bytBand_Meter(4) = 40
wrdBand_Lo(5) = 10100                             '30m
wrdBand_Hi(5) = 10150
bytBand_Width(5) = 20
bytBand_Meter(5) = 30
wrdBand_Lo(6) = 14000                             '20m
wrdBand_Hi(6) = 14350
bytBand_Width(6) = 30
bytBand_Meter(6) = 20
wrdBand_Lo(7) = 18058                             '17m
wrdBand_Hi(7) = 18168
bytBand_Width(7) = 30
bytBand_Meter(7) = 17
wrdBand_Lo(8) = 21000                             '15m
wrdBand_Hi(8) = 21450
bytBand_Width(8) = 40
bytBand_Meter(8) = 15
wrdBand_Lo(9) = 24890                             '12m
wrdBand_Hi(9) = 24990
bytBand_Width(9) = 50
bytBand_Meter(9) = 12
wrdBand_Lo(10) = 28000                            '10m
wrdBand_Hi(10) = 29700
bytBand_Width(10) = 60
bytBand_Meter(10) = 10
wrdBand_Lo(11) = 50030                            '6m
wrdBand_Hi(11) = 51000
bytBand_Width(11) = 70
bytBand_Meter(11) = 6